<?php
/*
Plugin Name: LMT
Version: 1.4.1
Description: Appliquer une licence sur ses photos / Apply a licence on photos
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=282
Author: grum@piwigo.org
Author URI: http://www.grum.fr
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@piwigo.com
    website  : http://www.grum.fr

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY

| release | date       |
| 1.0.0   | 2009/03/01 | first release
|         |            |
| 1.0.1   | 2009/05/01 | * modify de style for 80x15&text logo (to be centered
|         |            |   like the 88x31 logo)
|         |            | * modify the footer (allows to use html markup)
|         |            |
| 1.0.2   | 2009/06/12 | * the plugin can't manage picture if no physical category
|         |            |   is affected (pictures uploaded with pLoader have
|         |            |   only virtual categories). For now, use a LEFT OUTER JOIN
|         |            |   on physical categorie ; virtual category management will
|         |            |   be coded for the next release
|         |            |
| 1.0.3   | 2009/07/24 | * bug on "list" page when trying to add items in the
|         |            |   caddie (==> topic #116263 on french forum)
|         |            | * bug when displaying image's categories when image
|         |            |   only have virtual categories / now display all image
|         |            |   categories (physical & virtual)
|         |            |   (==>topic #113337 on french forum)
|         |            |
| 1.1.0   | 2009/11/29 | * mantis : feature 1294
|         |            |   Allow to open the licence page on a new page/tab when
|         |            |   user clic on the licence hyperlink
|         |            | * mantis : feature 1295
|         |            |   Compatibility with theme 'montblanc'
|         |            |
| 1.2.0   | 2010/03/28 | * compatibility with Piwigo 2.1
|         |            |
| 1.2.1   | 2010/04/11 | * Fixed a minor bug in the display
|         |            |
| 1.2.2   | 2010/05/22 | * mantis : bug 1670
|         |            |   . Call undefined function in file lmt_aip.class.php
|         |            |     on line 720
|         |            |
| 1.3.0   | 2011/05/21 | * mantis : feature 1439
|         |            |   . Add an "ALT" property to the licence picture
|         |            |     => the "TITLE" property was also added
|         |            | * mantis : feature 1690
|         |            |   . Improve performances in admin page
|         |            | * mantis : bug 1699
|         |            |   . slashes should be stripped when displaying author
|         |            |     names
|         |            | * mantis feature:2150
|         |            |   . compatibility with piwigo 2.2
|         |            | * mantis bug:1689
|         |            |   . Add possibility to search picture by licence
|         |            |
| 1.3.1   | 2011/06/13 | * mantis : feature 2333
|         |            |   . Add the Public Domain licence.
|         |            |
| 1.4.0   | 2012/05/25 | * mantis feature:2641
|         |            |   . compatibility with piwigo 2.4
|         |            |
| 1.4.1   | 2012/08/20 | * mantis bug:2726
|         |            |   .  Copyright display is not correct
|         |            |     => use $this->translateCopyright() insted of l10n()
|         |            |     => load langage file when user_init() is done
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |





:: TO DO

--------------------------------------------------------------------------------

:: NFO
  LMT_root : common classe for admin and public classes
  LMT_AIM  : classe to manage plugin integration into plugin menu
  LMT_AIP  : classe to manage plugin admin pages
  LMT_PIP  : classe to manage plugin public pages

--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
 //ini_set('error_reporting', E_ALL);
 //ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


define('LMT_DIR' , basename(dirname(__FILE__)));
define('LMT_PATH' , PHPWG_PLUGINS_PATH . LMT_DIR . '/');

include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
include_once('lmt_version.inc.php'); // => Don't forget to update this file !!

global $prefixeTable;

if(!defined('AJAX_CALL'))
{
  if(defined('IN_ADMIN'))
  {
    //LMT admin interface loaded and active only if in admin page
    include_once("lmt_aim.class.inc.php");
    $obj=new LMT_AIM($prefixeTable, __FILE__);
    $obj->initEvents();
  }
  else
  {
    //LMT public interface loaded and active only if in public page
    if(CommonPlugin::checkGPCRelease(LMT_GPC_NEEDED) and !mobile_theme())
    {
      //LMT public interface loaded and active only if in public page
      include_once("lmt_pip.class.inc.php");
      $obj=new LMT_PIP($prefixeTable, __FILE__);
    }
  }
}

set_plugin_data($plugin['id'], $obj);

?>
